Package org.opensaml.saml.metadata.criteria.entity.impl

# Class EvaluableEntityRoleEntityDescriptorCriterion

java.lang.Object
org.opensaml.saml.metadata.criteria.entity.impl.EvaluableEntityRoleEntityDescriptorCriterion

All Implemented Interfaces:
  `Predicate<EntityDescriptor>`, `Criterion`, `EvaluableEntityDescriptorCriterion`

public class EvaluableEntityRoleEntityDescriptorCriterion extends Object implements EvaluableEntityDescriptorCriterion
Implementation of `EvaluableEntityDescriptorCriterion` which evaluates that an entity descriptor contains a certain role.

## Field Summary

Fields
Modifier and Type
Field
Description
`private QName`
`role`
Entity role.

## Constructor Summary

Constructors
Constructor
Description
`EvaluableEntityRoleEntityDescriptorCriterion(QName entityRole)`
Constructor.
`EvaluableEntityRoleEntityDescriptorCriterion(EntityRoleCriterion criterion)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`boolean`
`test(EntityDescriptor entityDescriptor)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### role

@Nonnull private QName role
Entity role.

## Constructor Details

### EvaluableEntityRoleEntityDescriptorCriterion

public EvaluableEntityRoleEntityDescriptorCriterion(@Nonnull EntityRoleCriterion criterion)
Constructor.

Parameters:
  `criterion` - the entity role criterion

### EvaluableEntityRoleEntityDescriptorCriterion

public EvaluableEntityRoleEntityDescriptorCriterion(@Nonnull QName entityRole)
Constructor.

Parameters:
  `entityRole` - the entity

## Method Details

### test

public boolean test(@Nullable EntityDescriptor entityDescriptor)

Specified by:
  `test` in interface `Predicate<EntityDescriptor>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`